Bug 129012 - refactor listview data munging and display code
Summary: refactor listview data munging and display code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-08-02 23:48 UTC by Ryan Bloom
Modified: 2007-04-18 17:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 23:37:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan Bloom 2004-08-02 23:48:39 UTC
The current provider/renderer flow isn't quite enough to do the job. 
Providers need to call another method, which puts data into the
ExtendedColumn, then renderers call another method which displays the
data correctly.

Comment 1 Ryan Bloom 2004-08-03 23:37:51 UTC
this has been finished.  All listviews now use assistants for both
modifying the data and acting on the second request, instead of using
a combination of providers and callbacks.


Note You need to log in before you can comment on or make changes to this bug.